{% extends "index.html" %}
{% block content %}

<script type="text/javascript">

	var cleanErrors = function() {
	  
	  var els = document.getElementsByClassName('form-error');

	  if(els.length){
	    [].forEach.call(els, function(el) {
	         el.classList.remove("active")
	    });
	   
	  }
	  
	}

	$(document).ready(function(){

		var submit_form = document.getElementById("submit_form");

		submit_form.addEventListener('submit', function(event) {
				event.preventDefault();
				cleanErrors();
				var data = $(submit_form).serializeArray().reduce(function(obj, item) {
				    obj[item.name] = item.value;
				    return obj;
				}, {});

				$("#submit").attr("disabled","disabled");
				$("#twitter_account").attr("disabled","disabled");

				
				$.ajax({
					url: "",
					method: "POST",
					data: data,
					dataType: 'json'
				})
				.then(function() {
					
					
					
				})
				.fail(function (jqXHR, textStatus, error) {
				  		var res = jqXHR.responseJSON
						if(res.errors){
				            for(var key in res.errors) {
				            	console.log(key)
				                var error_el = $('.error-'+key);
				                error_el.addClass('active')
				                error_el.html(res.errors[key][0])
				              }
				           
				        }

				        $("#submit").removeAttr("disabled");
						$("#twitter_account").removeAttr("disabled");
				})
			
		})

	})

	function update_item() {
	    
	    $('#submit_proccess_container').load(
	        "{% url 'submit_process' %}"
	    ); 

	}

	if(!window.processInterval){
		processInterval = setInterval(function() {
			update_item();
		},2000)
	}

	update_item()
	
</script>

<div class="container">
	<h2>Just by sharing a few posts you will make money</h2>

	<div class="row">
		<div class="col-md-12">
			
			<form method="post" id="submit_form" action="">
                {% csrf_token %}
                    
                    <div class="form-group">
                        <label for="twitter_account" class="text-info">Submit your Twitter account link:</label>
                        <input type="text" value="{% if user.profile.twitter_account %}{{user.profile.twitter_account}}{% endif %}" name="twitter_account" id="twitter_account" class="form-control" placeholder="example: https://twitter.com/StunningPosts">
                        <div class="form-error error-twitter_account"></div>
						
						<div id="submit_proccess_container">
							
						</div>
                    </div>
					
					{% if not user.profile.eth_wallet %}
	                    <div class="form-group">
	                        <label for="eth_wallet" class="text-info">Provide us with your ETH wallet:</label>
	                        <input type="text" name="eth_wallet" id="eth_wallet" class="form-control">
	                        <div class="form-error error-eth_wallet"></div>
	                    </div>

	                    {% else %}
	                    <input type="hidden" name="eth_wallet" value="{{user.profile.eth_wallet}}">

                    {% endif %}
                    
                    <div id="login-link" class="text-right">
                        <button type="submit" id="submit" class="btn btn-primary">Submit</button>
                    </div>
            </form>
		</div>
	</div>
</div>
{% endblock %}